#ifdef PSANIPROFI
static void nastavSignal()
{
    struct sigaction sa;
    sigset_t set;
    sigemptyset(&set);
    sa.sa_handler = thncurses_signal;
    sa.sa_mask = set;
    sa.sa_flags = SA_RESTART;
    sa.sa_restorer = NULL;
    sigaction(SIGWINCH, &sa, NULL);
}

static void *winch_thread(void *arg)
{
    sigset_t set;
    int i;
    i = pthread_setcanceltype(PTHREAD_CANCEL_ASYNCHRONOUS, NULL);
    if (i && (global_get(g_warning) == g_w_ano)) {
        print_hl(1,
                 "winch_thread: Selhalo nastaveni priznaku ukonceni funkce varovani");
        return NULL;
    }

    sigemptyset(&set);
    sigaddset(&set, SIGWINCH);
    sigprocmask(SIG_UNBLOCK, &set, NULL);
    nastavSignal();
    while (true) {
        sleep(1000);
        pthread_testcancel();
    }
    return NULL;
}
#endif
